dofile("scripts/entities/entityinclude.lua")

function init(me)
end

function update(me, dt)
	if isFlag(FLAG_VISION_ENERGYTEMPLE, 0) then
		if node_isEntityIn(me, getNaija()) then
			setFlag(FLAG_VISION_ENERGYTEMPLE, 1)
			vision("EnergyTemple", 3)
			
			playMusic("OpenWaters")
			setMusicToPlay("OpenWaters")
			
			voice("Naija_FirstVision")
		end
	end
end
